Bug 1476210 - [ceph-ansible]: Bluestore is configured by default on the OSD's
[ceph-ansible]: Bluestore is configured by default on the OSD's
Status: POST
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible (Show other bugs)
3.0
Unspecified Linux
urgent Severity high
: rc
: 3.0
Assigned To: leseb
ceph-qe-bugs
: Reopened
: 1476856 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 05:50 EDT by Tejas
Modified: 2017-08-10 07:27 EDT (History)
12 users (show)

See Also:
Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 04:41:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ansible playbook log (865.05 KB, text/plain)
2017-08-01 05:00 EDT, Tejas
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph-ansible/pull/1735 None None None 2017-08-02 12:13 EDT

  None (edit)
Description Tejas 2017-07-28 05:50:27 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 seb 2017-07-31 04:41:08 EDT
Fixed in ceph-ansible-2.3.0-0.1.rc5.el7cp.noarch.
Comment 5 Ken Dreyer (Red Hat) 2017-07-31 12:04:58 EDT
*** Bug 1476856 has been marked as a duplicate of this bug. ***
Comment 7 Tejas 2017-08-01 05:00 EDT
Created attachment 1307470 [details]
ansible playbook  log
Comment 8 seb 2017-08-01 05:28:27 EDT
can I see your group_vars file?
Comment 10 seb 2017-08-02 11:50:38 EDT
After a first look, the issue is that you need to set ceph_stable_release to luminous.

I'll work on making this easier though, please try that in the meantime.

FYI rc6 will make ceph_stable_release mandatory but I'm looking into automating the detection.
Comment 11 Tejas 2017-08-03 07:04:35 EDT
I tried setting these options and this configured filestore as expected.

ceph_stable: true
ceph_stable_release: luminous

Thanks,
Tejas

Note You need to log in before you can comment on or make changes to this bug.